org.apache.ode.store.hib

## Class ConfStoreConnectionHib

- java.lang.Object
- - org.apache.ode.store.hib.ConfStoreConnectionHib

- All Implemented Interfaces:
    ConfStoreConnection

      public class ConfStoreConnectionHib
      extends java.lang.Object
      implements ConfStoreConnection

  Connection to a Hibernate data store. Essentially a thin wrapper around Hibernate's `Session` interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfStoreConnectionHib(org.hibernate.Session session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `DeploymentUnitDAO` | `createDeploymentUnit(java.lang.String name)`
    `DeploymentUnitDAO` | `getDeploymentUnit(java.lang.String name)`
    `java.util.Collection<DeploymentUnitDAO>` | `getDeploymentUnits()`
    `long` | `getNextVersion()`
    `ProcessConfDAO` | `getProcess(javax.xml.namespace.QName pid)`
    `void` | `setVersion(long version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfStoreConnectionHib

          public ConfStoreConnectionHib(org.hibernate.Session session)

  - ### Method Detail

    - #### getProcess

          public ProcessConfDAO getProcess(javax.xml.namespace.QName pid)

    - #### createDeploymentUnit

          public DeploymentUnitDAO createDeploymentUnit(java.lang.String name)

      Specified by:
        `createDeploymentUnit` in interface `ConfStoreConnection`

    - #### getDeploymentUnit

          public DeploymentUnitDAO getDeploymentUnit(java.lang.String name)

      Specified by:
        `getDeploymentUnit` in interface `ConfStoreConnection`

    - #### getNextVersion

          public long getNextVersion()

      Specified by:
        `getNextVersion` in interface `ConfStoreConnection`

    - #### setVersion

          public void setVersion(long version)

      Specified by:
        `setVersion` in interface `ConfStoreConnection`

    - #### getDeploymentUnits

          public java.util.Collection<DeploymentUnitDAO> getDeploymentUnits()

      Specified by:
        `getDeploymentUnits` in interface `ConfStoreConnection`

    - #### close

          public void close()

      Specified by:
        `close` in interface `ConfStoreConnection`